# Create your views here.
from datetime import datetime
from datetime import timedelta

from django.contrib.auth.models import User
from django.shortcuts import render_to_response
from django.shortcuts import get_object_or_404

from website.models import Tweet

def index(request):
    tweets = Tweet.objects.all().order_by('-timestamp')
    return render_to_response("website/index.html",{'tweets':tweets})
    
def user_page(request, username):
    user = get_object_or_404(User, username=username)
    return render_to_response("website/user_page.html", {'profile':user.get_profile()})

def tweet_page(request, tweet_id):
    tweet = get_object_or_404(Tweet, id=tweet_id)
    return render_to_response("website/tweet_page.html", {'tweet':tweet})